﻿nav.fabs i:before {
    margin: 0;
}


.fabs-hidden {
    visibility: hidden;
}

.fabs-visible {
    visibility: visible;
    transition: all .2s ease-out;
}

.fabs {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    flex-direction: column-reverse;

    position: fixed;
    margin: 1em;
    left: 0;
    bottom: 0;
}

.fab {
    display: block;

    position: relative;
    cursor: pointer;

    width: 56px;
    height: 56px;
    margin: 20px auto 0;
    text-align: center;
    color: white;

    border-color: #f00;
    border-radius: 50%;
    box-shadow: 0px 5px 11px -2px rgba(0, 0, 0, 0.18), 0px 4px 12px -7px rgba(0, 0, 0, 0.15);

    -webkit-transition: all .1s ease-out;
    transition: all .1s ease-out;
}

input[type="checkbox"]#Share {
    display: none;
}


.Share-list {
    display: none;
}

input[type="checkbox"]#Share:checked + label.fab + .Share-list {
    display: block;
}

.Share-list .fab {
    width: 36px;
    height: 36px;
    margin: 20px auto 0;
    opacity: 0;
}

input[type="checkbox"]#Share:checked + label.fab + .Share-list .fab {
    opacity: 1;
    width: 40px;
    height: 40px;
    margin: 15px auto 0;
}

.fab:hover {
    box-shadow: 0 0 4px rgba(0, 0, 0, .14), 0 4px 8px rgba(0, 0, 0, .28);
}

.fab.green {
    background: #06c755;
}

.fab.light-blue {
    background: #00abec;
}

.fab.light-blue2 {
    background: #00A4DE;
}

.fab.indigo {
    background: #425dab;
}

.fab.red {
    background: #ea4654;
}

.fab.orange {
    background: #FF9800;
}

.fab:nth-child(2) {
    -webkit-transition-delay: 20ms;
            transition-delay: 20ms;
}

.fab:nth-child(3) {
    -webkit-transition-delay: 40ms;
            transition-delay: 40ms;
}

.fab:nth-child(4) {
    -webkit-transition-delay: 60ms;
            transition-delay: 60ms;
}

.fab:nth-child(5) {
    -webkit-transition-delay: 80ms;
            transition-delay: 80ms;
}

.fab:nth-child(n+6) {
    -webkit-transition-delay: 100ms;
            transition-delay: 100ms;
}

.fab i {
    color: #fff;
    text-shadow: -1px -1px 1px #333333;
}

label.fab {
    background-color: rgba(255, 255, 255, .7);
}

label.fab > i {
    font-size: 28px;
    line-height: 60px;
    color: #585858;
    text-shadow: -1px -1px 1px #ccc;
}

input[type="checkbox"]#Share:checked ~ label.fab {
    background-color: #585858;
}

input[type="checkbox"]#Share:checked ~ label.fab i {
    color: rgba(255, 255, 255, .7);
    text-shadow: -1px -1px 1px #333333;
}

a.fab > i {
    font-size: 24px;
    line-height: 40px;
}

a.fab:hover > i {
    display: block;
    transform: rotate(360deg);
    transition: all .3s ease-out;
}

a.fab:before {
    content:"";
    position:absolute;
    left: 20px;
    z-index:-1;

    display: block;
    height: 32px;
    padding-top: 8px;
    width: 0;
    background: inherit;

    vertical-align: middle;
    text-align: left;
    font-size: 16px;
    color: #fff;
    text-shadow: -1px -1px 1px #333333;
    white-space: nowrap;
    overflow: hidden;

    border-radius: 0 20px 20px 0;
    transition: all .5s ease-out;
}

a.fab:hover:before {
    content: attr(data-item);
    padding-left: 30px;
    width: 180px;
}

[tooltip]:before {
    visibility: hidden;
    opacity: 0;

    color: #fff;
    background-color: #585858;
    font-family: 'Roboto';
    font-weight: 600;
    font-size: 12px;
    -webkit-border-radius: 2px;
       -moz-border-radius: 2px;
            border-radius: 2px;
    content: attr(tooltip);
    position: absolute;
    left: 100%;
    bottom: 5%;
    padding: 5px 7px;
    margin-left: 10px;
    white-space: nowrap;
}

[tooltip]:hover:before,
[tooltip]:hover:after {
    visibility: visible;
    opacity: 1;
}

